<?php

namespace App\Http\Controllers;

use App\Models\Plane;
use App\Models\Position;
use App\Models\Route;
use Illuminate\Http\Request;
use App\Models\Flight;

class FlightController extends Controller
{
    public function getAll(Request $request){
        $flights  = Flight::all();

        return view("flight", array(
            "flights" => $flights,
            ));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["flight_id" => "required",
            "route_id" => "required",
            "departure" => "required|date_format:Y-m-d H:i:s",
            "arrival" => "required|date_format:Y-m-d H:i:s",
            "status" => "required"]);

        $new_flight = Flight::create($data);
        return redirect('flight/');
    }

    public function editForm(Request $request) {
        $instanceId = $request->instanceId;
        if ($instanceId) {
            $obj = Flight::where('id', $instanceId)->first();
        }
        else {
            $obj = new Flight();
        }
        return view('flightForm', array(
            "obj" => $obj,
        ));
    }

    public function editInstance(Request $request) {
        $data = $request->validate(["flight_id" => "required",
            "route_id" => "required",
            "departure" => "required|date_format:Y-m-d H:i:s",
            "arrival" => "required|date_format:Y-m-d H:i:s",
            "status" => "required"]);
        $obj = Flight::where('id', $request->instanceId)->first()->update($data);
        $positions = Position::all();
        return redirect('/flight');

    }
}
